import { UserToken } from '../components/public/TokenManager/types.js';
import { DBAdapterBase, DbTokenPrice, DbWalletAlias } from './DBAdapterBase.js';

declare class LocalStorageAdapter implements DBAdapterBase {
    private storageKey;
    getTokens(): Promise<UserToken[]>;
    addToken(token: UserToken): Promise<void>;
    removeToken(address: string): Promise<void>;
    getTokenPrice(tokenId: string): Promise<DbTokenPrice>;
    saveTokenPrice(tokenId: string, price: number): Promise<void>;
    updateToken(token: UserToken): Promise<void>;
    getUserWalletAliases(): Promise<DbWalletAlias[]>;
    upsertWalletAlias(alias: string, address: string): Promise<void>;
}

export { LocalStorageAdapter };
